<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
	 <!--parent>
        <groupId>org.richfaces</groupId>
        <artifactId>samples</artifactId>
        <version>3.3.0.BETA1</version>
    </parent-->
    <groupId>org.richfaces.test-applications</groupId>
    <artifactId>regressionArea</artifactId>
    <packaging>pom</packaging>
	<version>3.3.0.BETA1</version>
    <name>Regresion Area:Seam Application</name>
   <repositories>
		<repository>
			<releases />
			<snapshots>
				<enabled>false</enabled>
				<updatePolicy>never</updatePolicy>
			</snapshots>
			<id>maven-repository.dev.java.net</id>
			<name>Java.net Repository for Maven</name>
			<url>http://download.java.net/maven/1</url>
			<layout>legacy</layout>
		</repository>

		<repository>
			<releases />
			<snapshots>
				<enabled>false</enabled>
				<updatePolicy>never</updatePolicy>
			</snapshots>
			<id>repository.jboss.org</id>
			<url>http://repository.jboss.org/maven2</url>
		</repository>
		<repository>
			<id>openqa</id>
			<name>OpenQA Repository</name>
			<url>http://archiva.openqa.org/repository/releases</url>
			<layout>default</layout>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<releases>
				<enabled>true</enabled>
			</releases>
		</repository>
		<repository>
			<id>openqa-snapshots</id>
			<name>OpenQA Snapshots Repository</name>
			<url>http://archiva.openqa.org/repository/snapshots</url>
			<layout>default</layout>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<releases>
				<enabled>false</enabled>
			</releases>
		</repository>
	</repositories>

	<properties>
		 <contextroot>regressionArea</contextroot>
		 <earname>regressionArea-ear</earname>
		 <richversion>3.3.0.BETA1</richversion>
		 <seamversion>2.0.2.SP1</seamversion>
		 <jsfversion>1.2_09</jsfversion>
		 <jbosshome>C:/tmp/jboss-4.2.2.GA</jbosshome>
		 <jbosscontext>default</jbosscontext>
	</properties>


	    
    <modules>
        <module>regressionArea-ejb</module>
        <module>regressionArea-web</module>
		<module>regressionArea-ear</module>
    </modules>
    <build>
        <plugins>
		<plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-eclipse-plugin</artifactId>
          <version>2.5</version>
          <configuration>
            <wtpmanifest>true</wtpmanifest>
            <wtpapplicationxml>true</wtpapplicationxml>
            <wtpversion>2.0</wtpversion>
            <manifest>
              ${basedir}/src/main/resources/META-INF/MANIFEST.MF
            </manifest>
          </configuration>
        </plugin>
	        <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.4</version>
            </plugin>
            
                   
        </plugins>
    </build>
<!--pluginRepositories>
    <pluginRepository>
      <id>people.apache.org</id>
      <url>http://people.apache.org/repo/m2-snapshot-repository/</url>
    </pluginRepository>
    <pluginRepository>
            <id>repository-int.exadel.com</id>
            <url>http://repository-int.exadel.com/</url>
        </pluginRepository>  
  </pluginRepositories-->
  
</project>